Support » Theme: OceanWP » Warning error after WP update

  • Hi, I am getting this error after the WP update

    Warning: Declaration of QuietSkin::feedback($string) should be compatible with WP_Upgrader_Skin::feedback($string, …$args) in /home/simpl191/public_html/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php on line 12

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 21 total)
  • Ok so I fixed the problem. I have deactivated the plugin Ocean extra and the error did not appear anymore. After I had a problem with the page header title appearing on every page and I solved it by following the steps here: https://wpexplorer-themes.com/total/docs/disabling-page-title/

    You can fix this by changing the function signature in the file to:

        public function feedback($string, ...$args) { /* no output */
        }

    In a WP Facebook group, someone just asked me if I auto-updated to PHP 7.4 – I checked and my version is at 7.1 – I tried updating to 7.1 (no change) and Managed PHP version (currently PHP 7.1), also no change.

    I don’t know where to add that code

    Hey frnz here is the fix. Just read this article. https://technhac.com/warning-declaration-of-quietskinfeedbackstring-should-be-compatible-with-wp_upgrader_skinfeedbackstring-args/

    I fix it for myself by following the above article.

    @technhac your solution did NOT work for me.

    I’ve got a ticket in with OceanWP awaiting a response.

    @tableauxadmin I’m eagerly awaiting your solution response 😉 Let us know what OceanWP has to say, thanks! 🙂

    Has anyone tried the Tech Hac article fix? Can anyone from OceanWP verify that editing that php file is okay to do?

    I tried it and it did not work for me. The same fix was posted on another thread and it appears to work for some folks, but not all. It’s not an “official” fix.

    OceanWP folks are working on this and should have a fix in a few hours.

    Thanks Tableaux – saw that as well about the Extra update – I’ll hold off for that rather than editing a php file I’m unfamiliar with.

    @technhac, didn’t work for me either, thanks for sharing though

    fix has been released by OceanWP, Version 1.5.19, just installed, no error so far

    Hello everyone,

    I have the same problem:

    Warning: Declaration of QuietSkin::feedback($string) should be compatible with WP_Upgrader_Skin::feedback($string, …$args) in /www/htdocs/w019a49c/baumpflegepemsl.de/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php on line 12

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w019a49c/baumpflegepemsl.de/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php:12) in /www/htdocs/w019a49c/baumpflegepemsl.de/wp-includes/pluggable.php on line 1265

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w019a49c/baumpflegepemsl.de/wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php:12) in /www/htdocs/w019a49c/baumpflegepemsl.de/wp-includes/pluggable.php on line 1268

    If I try to Log me in I just get the message above.
    There is no field to type my login-datas.

    Many thanks for a quick help.

    shizzle-sissl

    I have the exactly same error screen as shizzlesissl .
    Can’t even get to the login screen from my admin page.

    Hope that this gets resolved soon 🙁

    Voetus

    I just got the update for the Ocean Extra Plugin and OceanWP theme – I updated them then updated to WP 5.3 – no issues on my end.

Viewing 15 replies - 1 through 15 (of 21 total)
  • You must be logged in to reply to this topic.